ctools - Feature #807

Add check of number of events to simulate in ctobssim
03/22/2013 10:47 AM - Martin Pierrick

Status: Closed Start date: 03/22/2013
Priority: High Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1.0.0

Description

It could be useful to make a check of the number of events to simulate with ctobssim before actually running the simulation. The
problem at the moment is that if you mess up with the spectral parameters of a source or of the background (prefactors or pivot
energies or...), the code runs the simulation even if the number of events to throw is huge and will lead to excessive memory
requirements. In the worst cases, the job ends up on a bad_alloc().

History

#1 - 01/07/2014 11:57 PM - Knodlseder Jiirgen
- Status changed from New to In Progress
- Assigned To set to Knédlseder Jiirgen

- % Done changed from 0 to 20

ctobssim now determines the length of a time slice from the photon flux, limiting the number of photons simulated in one slice to 1000000. This avoids
a core dump due to a memory allocation problem.

Still, no warning is issues if the flux is higher than expected.

#2 - 10/30/2014 12:28 PM - Knodlseder Jiirgen
- Priority changed from Normal to High

- Target version set to 1.0.0

We want to have a warning for release version 1.0.0
#3 - 02/10/2015 11:53 AM - Knddlseder Jiirgen

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

| added a hidden maxrate parameter that leads to an exception in case that the model requires a photon rate above that value. By default the maxrate
parameter is set to 1e6 which should be okay for realistic VHE sources, and thus prevents getting stuck by hugh memory requirements for ctobssim.
